/* CalibParam.cc
 * $Id$
 */

#include "TimePixCalibParam.h"

namespace tpcconddata
{

std::string CalibParam::getRevision()
{
    return std::string("$Rev: $");
}


std::string CalibParam::getDefaultColName()
{
    return std::string("CalibrationParameters");
}

/** The object holds the calibration parameters, default is 8 per chip.
 *  With the chipID (chip), the parameter index (param),
 *  and the calibration parameter (cP)
 */
CalibParam::CalibParam(int chip, int param , float cP)
{
    setChip(chip);
    setParam(param);
    setCP(cP);
}

CalibParam::~CalibParam() {}


// chipID
int CalibParam::getChip() const
{
    return getIntVal(0);
}

// parameter index
int CalibParam::getParam() const
{
    return getIntVal(1);
}

// calibration parameters
float CalibParam::getCP() const
{
    return getFloatVal(0);
}

void CalibParam::setChip(const int &chip)
{
    obj()->setIntVal(0, chip);
}

void CalibParam::setParam(const int &param)
{
    obj()->setIntVal(1, param);
}

void CalibParam::setCP(const float &cP)
{
    obj()->setFloatVal(0, cP);
}


void CalibParam::print(std::ostream& os) const
{

}

}
