//std
#include <ctype.h>
#include <stdlib.h>
#include <fstream>
#include <sstream>
#include <string>

//LCIO
#include "lcio.h"
#include "UTIL/LCTime.h"

int main(int argc, char** argv)
{
    int year;
    int month;
    int day;
    int hour;
    int minute;
    int second;
    lcio::long64 timestamp;
    
    if ( argc == 7 )
    {
        //std::cout<<"option was -d"<<std::endl;
        year=atoi(argv[1]);
        month=atoi(argv[2]);
        day=atoi(argv[3]);
        hour=atoi(argv[4]);
        minute=atoi(argv[5]);
        second=atoi(argv[6]);
        lcio::LCTime time( year,  month,  day,  hour ,  minute,  second) ;
        std::cout<<"Timestamp="<<time.timeStamp()<<std::endl;
        return 0;
    }
    else if ( argc == 2 )
    {
        std::stringstream sstr(argv[1]);
        sstr >> timestamp;
        lcio::LCTime time( timestamp) ;
        std::cout<<"Date="<<time.year()<<" "<<time.month()<<" "<<time.day()<<" "<<time.hour()<<" "<<time.min()<<" "<<time.sec()<<" "<<time.ns()<<std::endl;
        return 0;
    }
    else
    {
        std::cout<<"Usage:"<<std::endl
        <<" "<<argv[0]<<" <year> <month> <day> <hour> <minute> <second>"<<std::endl
        <<"    - returns timestamp ( ns since 1.1.1970 00:00:00 ) of given date"<<std::endl
        <<" "<<argv[0]<<" <timestamp in ns>"<<std::endl
        <<"    - returns date (<year> <month> <day> <hour> <minute> <second> <ns>) of given timestamp"<<std::endl
        <<" "<<argv[0]<<" without options prints this help"<<std::endl;
        return 1;
    }
}
