#ifndef RELATIVEPOSITION_H_
#define RELATIVEPOSITION_H_

#include "UTIL/LCFixedObject.h"

namespace EVENT {

	class LCCollection;
}

namespace CLHEP {

	class Hep3Vector;
}


namespace marlintpc {

/** RelativePosition: An LCObject to hold a translation and two possible angles.
 * This can be used for coordinate transformations.
 *
 * @author Christian Grefe
 */
class RelativePosition : public UTIL::LCFixedObject< 0, 0, 5 > {

public:
	/** constructor
	 */
	RelativePosition();

	RelativePosition( EVENT::LCObject* );

	/** destructor
	 */
	virtual ~RelativePosition();


	double get_x_position( void ) const;

	void set_x_position( double );

	double get_y_position( void ) const;

	void set_y_position( double );

	double get_z_position( void ) const;

	void set_z_position( double );

	double get_x_rotation( void ) const;

	CLHEP::Hep3Vector get_position( void ) const;

	void set_position( CLHEP::Hep3Vector );

	void set_x_rotation( double );

	double get_y_rotation( void ) const;

	void set_y_rotation( double );


	/** returns the typename of the class
	 */
	const std::string getTypeName( void ) const;

	/** returns the type of data in the generic object
	 */
	const std::string getDataDescription( void ) const;

};

}

#endif /* RELATIVEPOSITION_H_ */
